# $Revision: 1.42 $, $Date: 2008/07/27 22:56:09 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Thesaurus-ISO
Summary:	Text::Thesaurus::ISO - a class to handle ISO thesaurii
Summary(pl.UTF-8):	Text::Thesaurus::ISO - klasa do obsługi tezaurusów ISO
Name:		perl-Text-Thesaurus-ISO
Version:	1.0
Release:	15
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	dd33a2bdae9519806b941ea8063fb1f5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module defines an abstract ROADS Thesaurus object and a number of
methods that operate on these objects.  These methods allow new
Thesaurus objects to be created, specify what Thesaurus file to use,
retrieve all the information from the thesaurus concerning a given
term, find broader terms for a given term and find narrower terms for
a given term.

%description -l pl.UTF-8
Ten moduł definiuje abstrakcyjny obiekt ROADS Thesaurus oraz wiele
metod operujących na tych obiektach. Metody te pozwalają na tworzenie
nowych obiektów Thesaurus, wskazywanie pliku, jaki ma być używany,
odczytywania wszystkich informacji z tezaurusa dotyczących podanego
wyrażenia, szukania wyrażenia bardziej ogólnego do podanego oraz
szukania wyrażeń o węższym znaczeniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorlib}/Text/Thesaurus
%{perl_vendorlib}/Text/Thesaurus/ISO.pm
# empty autosplit.ix
#%dir %{perl_vendorlib}/auto/Text/Thesaurus
#%dir %{perl_vendorlib}/auto/Text/Thesaurus/ISO
#%%{perl_vendorlib}/auto/Text/Thesaurus/ISO/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Thesaurus-ISO.spec,v $
Revision 1.42  2008/07/27 22:56:09  arekm
- release 15

Revision 1.41  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.40  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.39  2004/11/03 22:30:50  paladine
- formatting

Revision 1.38  2004/10/24 16:39:26  paladine
- spelling fixes, upercases, etc.

Revision 1.37  2004/05/07 01:07:03  ankry
- rel. 14

Revision 1.36  2004/05/06 18:21:18  ankry
- fixed perl-devel BR

Revision 1.35  2004/05/03 01:34:54  ankry
- license fixes, cosmetics

Revision 1.34  2004/04/27 15:26:28  ankry
- new bconds

Revision 1.33  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.32  2003/09/09 10:24:52  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:09:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:01:06  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:25:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 21:35:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/28 10:08:33  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.25  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:38:55  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/09/19 12:17:14  ankry
- added tests on bcond
- removed empty autosplit.ix, cleaning
- release 12

Revision 1.22  2002/08/28 20:58:44  qboosh
- pl description, release++

Revision 1.21  2002/08/11 19:36:49  radek
- release up

Revision 1.20  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.19  2002/07/12 11:31:34  qboosh
- added missing dir, new %%doc, release 9

Revision 1.18  2002/07/10 09:02:03  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:35:02  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:21:08  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:36:19  depesz
adapterized

Revision 1.12  2002/01/18 02:14:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:25  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:17:04  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 21:18:58  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:01  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:47  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
